/**
 * @file drive.cpp
 * @brief represent physical drive
 * @author hendrik schutter
 * @date 01.05.2020
 */

#include "drive.h"


string Drive::getPath(void)
{
    return sPath;
}

string Drive::getManufacturer(void)
{
    return sManufacturer;
}

string Drive::getModel(void)
{
    return sModel;
}

string Drive::getSerial(void)
{
    return sSerial;
}

string Drive::getCapacity(void)
{
    return sCapacity;
}

uint32_t Drive::getErrorCount(void)
{
    return u32ErrorCount;
}
uint32_t Drive::getPowerOnHours(void)
{
    return u32PowerOnHours;
}

uint32_t Drive::getSpinUpCount(void)
{
    return u32SpinUpCount;
}

